#include <cstdio>
#include "logger.hpp"

void Log(std::string const & label, std::string const & message)
{
	std::printf("[%s] %s\n", label.c_str(), message.c_str());
}

void Logger::Success(const std::string & s)
{
	Log("SUCCESS", s);
}

void Logger::Fatal(const std::string & s)
{
	Log("FATAL", s);
}

void Logger::Error(const std::string & s)
{
	Log("ERROR", s);
}

void Logger::Warning(const std::string & s)
{
	Log("WARNING", s);
}

void Logger::Info(const std::string & s)
{
	Log("INFO", s);
}

void Logger::Debug(const std::string & s)
{
	Log("DEBUG", s);
}

Logger::~Logger()
{
}

Logger::Logger()
{
}